ru.bitel.bgbilling.plugins.documents.server.bean

## Class DocumentTypeDao

- java.lang.Object
- - ru.bitel.common.dao.AbstractDao<DocumentType>
  - - ru.bitel.bgbilling.plugins.documents.server.bean.DocumentTypeDao

- All Implemented Interfaces:
    java.lang.AutoCloseable, ru.bitel.bgbilling.kernel.directory.api.common.Directory<DocumentType>

      public class DocumentTypeDao
      extends ru.bitel.common.dao.AbstractDao<DocumentType>
      implements ru.bitel.bgbilling.kernel.directory.api.common.Directory<DocumentType>

  DAO ( Data Access Object - объект доступа к данным ) для типов документов. Позволяет выполнять стандартные операции: добавление/обновление/удаление типов документов в/из БД.
  Author:
    reflexive

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, logger, mid, moduleId, orderByPattern, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_WHERE, tableName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentTypeDao(java.sql.Connection con)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `delete(int id)` Удаление элемента по id
    `DocumentType` | `get(int id)` Получение элемента по id
    `DocumentType` | `get(java.lang.String title)` Получение элемента по title(name) Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
    `protected DocumentType` | `getFromRS(java.sql.ResultSet rs)`
    `java.util.List<DocumentType>` | `list()` Получение всего списка элементов из справочника
    `protected void` | `updateImpl(DocumentType b)` Добавление/Обновление типа документа

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getSQLOrder, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, processException, recycle, setStatementParam, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.bgbilling.kernel.directory.api.common.Directory

      `update`

- - ### Constructor Detail

    - #### DocumentTypeDao

          public DocumentTypeDao(java.sql.Connection con)

  - ### Method Detail

    - #### updateImpl

          protected void updateImpl(DocumentType b)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Добавление/Обновление типа документа
      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<DocumentType>`
      Parameters:
        `b` - экземпляр модели
      Throws:
        `ru.bitel.bgbilling.common.BGException` - ошибки
        `java.sql.SQLException` - ошибки

    - #### get

          public DocumentType get(int id)
                           throws ru.bitel.bgbilling.common.BGException

      Description copied from interface: `ru.bitel.bgbilling.kernel.directory.api.common.Directory`
      Получение элемента по id
      Specified by:
        `get` in interface `ru.bitel.bgbilling.kernel.directory.api.common.Directory<DocumentType>`
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### get

          public DocumentType get(java.lang.String title)
                           throws ru.bitel.bgbilling.common.BGException

      Description copied from interface: `ru.bitel.bgbilling.kernel.directory.api.common.Directory`
      Получение элемента по title(name) Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
      Specified by:
        `get` in interface `ru.bitel.bgbilling.kernel.directory.api.common.Directory<DocumentType>`
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### list

          public java.util.List<DocumentType> list()
                                            throws ru.bitel.bgbilling.common.BGException

      Description copied from interface: `ru.bitel.bgbilling.kernel.directory.api.common.Directory`
      Получение всего списка элементов из справочника
      Specified by:
        `list` in interface `ru.bitel.bgbilling.kernel.directory.api.common.Directory<DocumentType>`
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### delete

          public int delete(int id)
                     throws ru.bitel.bgbilling.common.BGException

      Description copied from interface: `ru.bitel.bgbilling.kernel.directory.api.common.Directory`
      Удаление элемента по id
      Specified by:
        `delete` in interface `ru.bitel.bgbilling.kernel.directory.api.common.Directory<DocumentType>`
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getFromRS

          protected DocumentType getFromRS(java.sql.ResultSet rs)
                                    throws java.sql.SQLException,
                                           ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<DocumentType>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`